osgUI::DoubleValidator Class Reference

`#include <Validator>`

Inheritance diagram for osgUI::DoubleValidator:

## Public Member Functions

| DoubleValidator ()
| DoubleValidator (const DoubleValidator &widget, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, DoubleValidator)
void | setDecimals (int numDecimals)
int | getDecimals () const
void | setBottom (double bottom)
| set the bottom value that is accepted as valid, default -DBL_MAX
double | getBottom () const
void | setTop (double top)
| set the top value that is accepted as valid, default DBL_MAX
double | getTop () const
virtual State | validateImplementation (std::string &str, int &cursorpos) const
| override validate implementation.
virtual void | fixupImplementation (std::string &str) const
| override validate implementation.
Public Member Functions inherited from osgUI::Validator
| Validator ()
| Validator (const Validator &validator, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, Validator)
virtual State | validate (std::string &, int &cursorpos) const
virtual void | fixup (std::string &) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~DoubleValidator ()
Protected Member Functions inherited from osgUI::Validator
virtual | ~Validator ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

int | _decimals
double | _bottom
double | _top
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osgUI::Validator
enum | State { INVALID , INTERMEDIATE , ACCEPTABLE }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## DoubleValidator() [1/2]

osgUI::DoubleValidator::DoubleValidator | ( |  | ) |

Referenced by DoubleValidator(), and META_Object().

## DoubleValidator() [2/2]

osgUI::DoubleValidator::DoubleValidator | ( | const DoubleValidator & | widget,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References DoubleValidator(), and osg::CopyOp::SHALLOW_COPY.

## ~DoubleValidator()

virtual osgUI::DoubleValidator::~DoubleValidator | ( |  | ) |

inline protected virtual

## Member Function Documentation

## fixupImplementation()

virtual void osgUI::DoubleValidator::fixupImplementation | ( | std::string & | str | ) | const

virtual

override validate implementation.

Reimplemented from osgUI::Validator.

## getBottom()

double osgUI::DoubleValidator::getBottom | ( |  | ) | const

inline

References _bottom.

## getDecimals()

int osgUI::DoubleValidator::getDecimals | ( |  | ) | const

inline

References _decimals.

## getTop()

double osgUI::DoubleValidator::getTop | ( |  | ) | const

inline

References _top.

## META_Object()

osgUI::DoubleValidator::META_Object | ( | osgUI | ,
|  | DoubleValidator | )

References DoubleValidator().

## setBottom()

void osgUI::DoubleValidator::setBottom | ( | double | bottom | ) |

inline

set the bottom value that is accepted as valid, default -DBL_MAX

References _bottom.

## setDecimals()

void osgUI::DoubleValidator::setDecimals | ( | int | numDecimals | ) |

inline

set the number of decimal places to accept, default is -1, all negative values disable validation against maximum number of places thus allows any number of decimals places.

References _decimals.

## setTop()

void osgUI::DoubleValidator::setTop | ( | double | top | ) |

inline

set the top value that is accepted as valid, default DBL_MAX

References _top.

## validateImplementation()

virtual State osgUI::DoubleValidator::validateImplementation | ( | std::string & | str,
|  | int & | cursorpos ) const

virtual

override validate implementation.

Reimplemented from osgUI::Validator.

## Member Data Documentation

## _bottom

double osgUI::DoubleValidator::_bottom

protected

Referenced by getBottom(), and setBottom().

## _decimals

int osgUI::DoubleValidator::_decimals

protected

Referenced by getDecimals(), and setDecimals().

## _top

double osgUI::DoubleValidator::_top

protected

Referenced by getTop(), and setTop().

The documentation for this class was generated from the following file:

- osgUI/Validator